diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/src/wifi/examples/wifi-phy-configuration.cc ns-3.32/src/wifi/examples/wifi-phy-configuration.cc
--- ns-3.31/src/wifi/examples/wifi-phy-configuration.cc	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/src/wifi/examples/wifi-phy-configuration.cc	2020-10-06 15:35:43.000000000 -0700
@@ -114,7 +114,7 @@
     // i.e. without further channel number/width/frequency configuration
 
     case 1:
-      // By default, WifiHelper will use WIFI_PHY_STANDARD_80211a
+      // By default, WifiHelper will use WIFI_STANDARD_80211a
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
@@ -125,7 +125,7 @@
       PrintAttributesIfEnabled (printAttributes);
       break;
     case 2:
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211b);
+      wifi.SetStandard (WIFI_STANDARD_80211b);
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
@@ -136,7 +136,7 @@
       PrintAttributesIfEnabled (printAttributes);
       break;
     case 3:
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211g);
+      wifi.SetStandard (WIFI_STANDARD_80211g);
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
@@ -147,7 +147,7 @@
       PrintAttributesIfEnabled (printAttributes);
       break;
     case 4:
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211n_5GHZ);
+      wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
@@ -158,7 +158,7 @@
       PrintAttributesIfEnabled (printAttributes);
       break;
     case 5:
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211n_2_4GHZ);
+      wifi.SetStandard (WIFI_STANDARD_80211n_2_4GHZ);
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
@@ -169,7 +169,7 @@
       PrintAttributesIfEnabled (printAttributes);
       break;
     case 6:
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211ac);
+      wifi.SetStandard (WIFI_STANDARD_80211ac);
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
@@ -180,7 +180,41 @@
       PrintAttributesIfEnabled (printAttributes);
       break;
     case 7:
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211_10MHZ);
+      wifi.SetStandard (WIFI_STANDARD_80211ax_2_4GHZ);
+      staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
+      apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
+      phySta = GetYansWifiPhyPtr (staDevice);
+      // We expect channel 1, width 20, frequency 2412
+      NS_ASSERT (phySta->GetChannelNumber () == 1);
+      NS_ASSERT (phySta->GetChannelWidth () == 20);
+      NS_ASSERT (phySta->GetFrequency () == 2412);
+      PrintAttributesIfEnabled (printAttributes);
+      break;
+    case 8:
+      wifi.SetStandard (WIFI_STANDARD_80211ax_5GHZ);
+      staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
+      apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
+      phySta = GetYansWifiPhyPtr (staDevice);
+      // We expect channel 42, width 80, frequency 5210
+      NS_ASSERT (phySta->GetChannelNumber () == 42);
+      NS_ASSERT (phySta->GetChannelWidth () == 80);
+      NS_ASSERT (phySta->GetFrequency () == 5210);
+      PrintAttributesIfEnabled (printAttributes);
+      break;
+    case 9:
+      wifi.SetStandard (WIFI_STANDARD_80211ax_6GHZ);
+      staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
+      apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
+      phySta = GetYansWifiPhyPtr (staDevice);
+      // We expect channel 7, width 80, frequency 5975
+      NS_ASSERT (phySta->GetChannelNumber () == 7);
+      NS_ASSERT (phySta->GetChannelWidth () == 80);
+      NS_ASSERT (phySta->GetFrequency () == 5975);
+      PrintAttributesIfEnabled (printAttributes);
+      break;
+    case 10:
+      wifi.SetStandard (WIFI_STANDARD_80211p);
+      phy.Set ("ChannelWidth", UintegerValue (10));
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
@@ -190,20 +224,20 @@
       NS_ASSERT (phySta->GetFrequency () == 5860);
       PrintAttributesIfEnabled (printAttributes);
       break;
-    case 8:
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211_5MHZ);
+    case 11:
+      wifi.SetStandard (WIFI_STANDARD_80211p);
+      phy.Set ("ChannelWidth", UintegerValue (5));
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
-      // We expect channel 0, width 5, frequency 5860
-      // Channel 0 because 5MHz channels are not officially defined
-      NS_ASSERT (phySta->GetChannelNumber () == 0);
+      // We expect channel 171, width 5, frequency 5860
+      NS_ASSERT (phySta->GetChannelNumber () == 171);
       NS_ASSERT (phySta->GetChannelWidth () == 5);
       NS_ASSERT (phySta->GetFrequency () == 5860);
       PrintAttributesIfEnabled (printAttributes);
       break;
-    case 9:
-      wifi.SetStandard (WIFI_PHY_STANDARD_holland);
+    case 12:
+      wifi.SetStandard (WIFI_STANDARD_holland);
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
@@ -213,8 +247,8 @@
       NS_ASSERT (phySta->GetFrequency () == 5180);
       PrintAttributesIfEnabled (printAttributes);
       break;
-    case 10:
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211n_5GHZ);
+    case 13:
+      wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
       phy.Set ("ChannelNumber", UintegerValue (44));
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
@@ -225,9 +259,8 @@
       NS_ASSERT (phySta->GetFrequency () == 5220);
       PrintAttributesIfEnabled (printAttributes);
       break;
-
-    case 11:
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211n_5GHZ);
+    case 14:
+      wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
       phy.Set ("ChannelNumber", UintegerValue (44));
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
@@ -241,9 +274,8 @@
       NS_ASSERT (phySta->GetFrequency () == 5200);
       PrintAttributesIfEnabled (printAttributes);
       break;
-
-    case 12:
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211n_5GHZ);
+    case 15:
+      wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
       phy.Set ("ChannelNumber", UintegerValue (44));
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
@@ -258,10 +290,9 @@
       NS_ASSERT (phySta->GetFrequency () == 5220);
       PrintAttributesIfEnabled (printAttributes);
       break;
-
-    case 13:
+    case 16:
       Config::SetDefault ("ns3::WifiPhy::ChannelNumber", UintegerValue (44));
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211n_5GHZ);
+      wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
@@ -275,12 +306,11 @@
       NS_ASSERT (phySta->GetFrequency () == 5220);
       PrintAttributesIfEnabled (printAttributes);
       break;
-
-    case 14:
+    case 17:
       // Test that setting Frequency to a non-standard value will zero the
       // channel number
       Config::SetDefault ("ns3::WifiPhy::Frequency", UintegerValue (5281));
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211n_5GHZ);
+      wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
@@ -290,12 +320,11 @@
       NS_ASSERT (phySta->GetFrequency () == 5281);
       PrintAttributesIfEnabled (printAttributes);
       break;
-
-    case 15:
+    case 18:
       // Test that setting Frequency to a standard value will set the
       // channel number correctly
       Config::SetDefault ("ns3::WifiPhy::Frequency", UintegerValue (5500));
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211n_5GHZ);
+      wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
@@ -305,23 +334,21 @@
       NS_ASSERT (phySta->GetFrequency () == 5500);
       PrintAttributesIfEnabled (printAttributes);
       break;
-
-    case 16:
+    case 19:
       // Define a new channel number
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211n_5GHZ);
+      wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
       // This case will error exit due to invalid channel number unless
       // we provide the DefineChannelNumber() below
-      phySta->DefineChannelNumber (99, WIFI_PHY_STANDARD_80211n_5GHZ, 5185, 40);
+      phySta->DefineChannelNumber (99, WIFI_PHY_BAND_5GHZ, WIFI_PHY_STANDARD_80211n, 5185, 40);
       phySta->SetAttribute ("ChannelNumber", UintegerValue (99));
       PrintAttributesIfEnabled (printAttributes);
       break;
-
-    case 17:
+    case 20:
       // Test how channel number behaves when frequency is non-standard
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211n_5GHZ);
+      wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
@@ -346,10 +373,9 @@
       NS_ASSERT (phySta->GetFrequency () == 5180);
       PrintAttributesIfEnabled (printAttributes);
       break;
-
-    case 18:
+    case 21:
       // Set both channel and frequency to consistent values
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211n_5GHZ);
+      wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
       staDevice = wifi.Install (phy, macSta, wifiStaNode.Get (0));
       apDevice = wifi.Install (phy, macAp, wifiApNode.Get (0));
       phySta = GetYansWifiPhyPtr (staDevice);
@@ -385,7 +411,6 @@
       NS_ASSERT (phySta->GetFrequency () == 5179);
       PrintAttributesIfEnabled (printAttributes);
       break;
-
     default:
       std::cerr << "Invalid testcase number " << testCase << std::endl;
       exit (1);
diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/src/wifi/examples/wifi-phy-test.cc ns-3.32/src/wifi/examples/wifi-phy-test.cc
--- ns-3.31/src/wifi/examples/wifi-phy-test.cc	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/src/wifi/examples/wifi-phy-test.cc	2020-10-06 15:35:43.000000000 -0700
@@ -132,8 +132,8 @@
   tx->SetMobility (posTx);
   rx->SetMobility (posRx);
 
-  tx->ConfigureStandard (WIFI_PHY_STANDARD_80211a);
-  rx->ConfigureStandard (WIFI_PHY_STANDARD_80211a);
+  tx->ConfigureStandardAndBand (WIFI_PHY_STANDARD_80211a, WIFI_PHY_BAND_5GHZ);
+  rx->ConfigureStandardAndBand (WIFI_PHY_STANDARD_80211a, WIFI_PHY_BAND_5GHZ);
 
   rx->SetReceiveOkCallback (MakeCallback (&PsrExperiment::Receive, this));
 
@@ -296,9 +296,9 @@
   txB->SetMobility (posTxB);
   rx->SetMobility (posRx);
 
-  txA->ConfigureStandard (WIFI_PHY_STANDARD_80211a);
-  txB->ConfigureStandard (WIFI_PHY_STANDARD_80211a);
-  rx->ConfigureStandard (WIFI_PHY_STANDARD_80211a);
+  txA->ConfigureStandardAndBand (WIFI_PHY_STANDARD_80211a, WIFI_PHY_BAND_5GHZ);
+  txB->ConfigureStandardAndBand (WIFI_PHY_STANDARD_80211a, WIFI_PHY_BAND_5GHZ);
+  rx->ConfigureStandardAndBand (WIFI_PHY_STANDARD_80211a, WIFI_PHY_BAND_5GHZ);
 
   rx->SetReceiveOkCallback (MakeCallback (&CollisionExperiment::Receive, this));
 
diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/src/wifi/examples/wifi-test-interference-helper.cc ns-3.32/src/wifi/examples/wifi-test-interference-helper.cc
--- ns-3.31/src/wifi/examples/wifi-test-interference-helper.cc	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/src/wifi/examples/wifi-test-interference-helper.cc	2020-10-06 15:35:43.000000000 -0700
@@ -97,6 +97,7 @@
     uint16_t widthA; ///< channel width A
     uint16_t widthB; ///< channel width B
     WifiPhyStandard standard; ///< standard
+    WifiPhyBand band; ///< band
     WifiPreamble preamble; ///< preamble
     bool captureEnabled; ///< whether physical layer capture is enabled
     double captureMargin; ///< margin used for physical layer capture
@@ -202,6 +203,7 @@
     widthA (20),
     widthB (20),
     standard (WIFI_PHY_STANDARD_80211a),
+    band (WIFI_PHY_BAND_5GHZ),
     preamble (WIFI_PREAMBLE_LONG),
     captureEnabled (false),
     captureMargin (0)
@@ -267,9 +269,9 @@
       rx->SetFrameCaptureModel (frameCaptureModel);
     }
 
-  m_txA->ConfigureStandard (input.standard);
-  m_txB->ConfigureStandard (input.standard);
-  rx->ConfigureStandard (input.standard);
+  m_txA->ConfigureStandardAndBand (input.standard, input.band);
+  m_txB->ConfigureStandardAndBand (input.standard, input.band);
+  rx->ConfigureStandardAndBand (input.standard, input.band);
 
   devA->SetPhy (m_txA);
   nodeA->AddDevice (devA);
@@ -341,34 +343,42 @@
   if (str_standard == "WIFI_PHY_STANDARD_80211a")
     {
       input.standard = WIFI_PHY_STANDARD_80211a;
+      input.band = WIFI_PHY_BAND_5GHZ;
     }
   else if (str_standard == "WIFI_PHY_STANDARD_80211b")
     {
       input.standard = WIFI_PHY_STANDARD_80211b;
+      input.band = WIFI_PHY_BAND_2_4GHZ;
     }
   else if (str_standard == "WIFI_PHY_STANDARD_80211g")
     {
       input.standard = WIFI_PHY_STANDARD_80211g;
+      input.band = WIFI_PHY_BAND_2_4GHZ;
     }
   else if (str_standard == "WIFI_PHY_STANDARD_80211n_2_4GHZ")
     {
-      input.standard = WIFI_PHY_STANDARD_80211n_2_4GHZ;
+      input.standard = WIFI_PHY_STANDARD_80211n;
+      input.band = WIFI_PHY_BAND_2_4GHZ;
     }
   else if (str_standard == "WIFI_PHY_STANDARD_80211n_5GHZ")
     {
-      input.standard = WIFI_PHY_STANDARD_80211n_5GHZ;
+      input.standard = WIFI_PHY_STANDARD_80211n;
+      input.band = WIFI_PHY_BAND_5GHZ;
     }
   else if (str_standard == "WIFI_PHY_STANDARD_80211ac")
     {
       input.standard = WIFI_PHY_STANDARD_80211ac;
+      input.band = WIFI_PHY_BAND_5GHZ;
     }
   else if (str_standard == "WIFI_PHY_STANDARD_80211ax_2_4GHZ")
     {
-      input.standard = WIFI_PHY_STANDARD_80211ax_2_4GHZ;
+      input.standard = WIFI_PHY_STANDARD_80211ax;
+      input.band = WIFI_PHY_BAND_2_4GHZ;
     }
   else if (str_standard == "WIFI_PHY_STANDARD_80211ax_5GHZ")
     {
-      input.standard = WIFI_PHY_STANDARD_80211ax_5GHZ;
+      input.standard = WIFI_PHY_STANDARD_80211ax;
+      input.band = WIFI_PHY_BAND_5GHZ;
     }
 
   if (str_preamble == "WIFI_PREAMBLE_LONG" && (input.standard == WIFI_PHY_STANDARD_80211a || input.standard == WIFI_PHY_STANDARD_80211b || input.standard == WIFI_PHY_STANDARD_80211g))
@@ -379,11 +389,11 @@
     {
       input.preamble = WIFI_PREAMBLE_SHORT;
     }
-  else if (str_preamble == "WIFI_PREAMBLE_HT_MF" && (input.standard == WIFI_PHY_STANDARD_80211n_2_4GHZ || input.standard == WIFI_PHY_STANDARD_80211n_5GHZ))
+  else if (str_preamble == "WIFI_PREAMBLE_HT_MF" && input.standard == WIFI_PHY_STANDARD_80211n)
     {
       input.preamble = WIFI_PREAMBLE_HT_MF;
     }
-  else if (str_preamble == "WIFI_PREAMBLE_HT_GF" && (input.standard == WIFI_PHY_STANDARD_80211n_2_4GHZ || input.standard == WIFI_PHY_STANDARD_80211n_5GHZ))
+  else if (str_preamble == "WIFI_PREAMBLE_HT_GF" && (input.standard == WIFI_PHY_STANDARD_80211n))
     {
       input.preamble = WIFI_PREAMBLE_HT_GF;
     }
@@ -391,7 +401,7 @@
     {
       input.preamble = WIFI_PREAMBLE_VHT_SU;
     }
-  else if (str_preamble == "WIFI_PREAMBLE_HE_SU" && (input.standard == WIFI_PHY_STANDARD_80211ax_2_4GHZ || input.standard == WIFI_PHY_STANDARD_80211ax_5GHZ))
+  else if (str_preamble == "WIFI_PREAMBLE_HE_SU" && input.standard == WIFI_PHY_STANDARD_80211ax)
     {
       input.preamble = WIFI_PREAMBLE_HE_SU;
     }
diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/src/wifi/examples/wifi-trans-example.cc ns-3.32/src/wifi/examples/wifi-trans-example.cc
--- ns-3.31/src/wifi/examples/wifi-trans-example.cc	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/src/wifi/examples/wifi-trans-example.cc	2020-10-06 15:35:43.000000000 -0700
@@ -59,7 +59,7 @@
   bool verbose = false;
   CommandLine cmd (__FILE__);
   cmd.AddValue ("standard",
-                "OFDM-based Wi-Fi standard [11a, 11_10MHZ, 11_5MHZ, 11n_2_4GHZ, 11n_5GHZ, 11ac, 11ax_2_4GHZ, 11ax_5GHZ]",
+                "OFDM-based Wi-Fi standard [11a, 11p_10MHZ, 11p_5MHZ, 11n_2_4GHZ, 11n_5GHZ, 11ac, 11ax_2_4GHZ, 11ax_5GHZ]",
                 standard);
   cmd.AddValue ("bw", "Bandwidth (consistent with standard, in MHz)", bw);
   cmd.AddValue ("txPower", "Transmit power (dBm)", pow);
@@ -74,7 +74,7 @@
   Time dataDuration = MicroSeconds (300); // leaving enough time for data transfer (+ acknowledgment)
   if (standard == "11a")
     {
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211a);
+      wifi.SetStandard (WIFI_STANDARD_80211a);
       ssid = Ssid ("ns380211a");
       dataRate = "OfdmRate6Mbps";
       freq = 5180;
@@ -84,10 +84,10 @@
           return 1;
         }
     }
-  else if (standard == "11_10MHZ")
+  else if (standard == "11p_10MHZ")
     {
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211_10MHZ);
-      ssid = Ssid ("ns380211_10MHZ");
+      wifi.SetStandard (WIFI_STANDARD_80211p);
+      ssid = Ssid ("ns380211p_10MHZ");
       dataRate = "OfdmRate3MbpsBW10MHz";
       freq = 5860;
       dataStartTime = MicroSeconds (1400);
@@ -98,10 +98,10 @@
           return 1;
         }
     }
-  else if (standard == "11_5MHZ")
+  else if (standard == "11p_5MHZ")
     {
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211_5MHZ);
-      ssid = Ssid ("ns380211_5MHZ");
+      wifi.SetStandard (WIFI_STANDARD_80211p);
+      ssid = Ssid ("ns380211p_5MHZ");
       dataRate = "OfdmRate1_5MbpsBW5MHz";
       freq = 5860;
       dataStartTime = MicroSeconds (2500);
@@ -114,7 +114,7 @@
     }
   else if (standard == "11n_2_4GHZ")
     {
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211n_2_4GHZ);
+      wifi.SetStandard (WIFI_STANDARD_80211n_2_4GHZ);
       ssid = Ssid ("ns380211n_2_4GHZ");
       dataRate = "HtMcs0";
       freq = 2402 + (bw / 2); //so as to have 2412/2422 for 20/40
@@ -128,7 +128,7 @@
     }
   else if (standard == "11n_5GHZ")
     {
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211n_5GHZ);
+      wifi.SetStandard (WIFI_STANDARD_80211n_5GHZ);
       ssid = Ssid ("ns380211n_5GHZ");
       dataRate = "HtMcs0";
       freq = 5170 + (bw / 2); //so as to have 5180/5190 for 20/40
@@ -141,7 +141,7 @@
     }
   else if (standard == "11ac")
     {
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211ac);
+      wifi.SetStandard (WIFI_STANDARD_80211ac);
       ssid = Ssid ("ns380211ac");
       dataRate = "VhtMcs0";
       freq = 5170 + (bw / 2); //so as to have 5180/5190/5210/5250 for 20/40/80/160
@@ -155,7 +155,7 @@
     }
   else if (standard == "11ax_2_4GHZ")
     {
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211ax_2_4GHZ);
+      wifi.SetStandard (WIFI_STANDARD_80211ax_2_4GHZ);
       ssid = Ssid ("ns380211ax_2_4GHZ");
       dataRate = "HeMcs0";
       freq = 2402 + (bw / 2); //so as to have 2412/2422/2442 for 20/40/80
@@ -169,7 +169,7 @@
     }
   else if (standard == "11ax_5GHZ")
     {
-      wifi.SetStandard (WIFI_PHY_STANDARD_80211ax_5GHZ);
+      wifi.SetStandard (WIFI_STANDARD_80211ax_5GHZ);
       ssid = Ssid ("ns380211ax_5GHZ");
       dataRate = "HeMcs0";
       freq = 5170 + (bw / 2); //so as to have 5180/5190/5210/5250 for 20/40/80/160
diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/src/wifi/helper/wifi-helper.cc ns-3.32/src/wifi/helper/wifi-helper.cc
--- ns-3.31/src/wifi/helper/wifi-helper.cc	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/src/wifi/helper/wifi-helper.cc	2020-10-06 15:35:43.000000000 -0700
@@ -242,7 +242,8 @@
     case PcapHelper::DLT_IEEE802_11_RADIO:
       {
         Ptr<Packet> p = packet->Copy ();
-        RadiotapHeader header = GetRadiotapHeader (p, channelFreqMhz, txVector, aMpdu);
+        RadiotapHeader header;
+        GetRadiotapHeader (header, p, channelFreqMhz, txVector, aMpdu);
         p->AddHeader (header);
         file->Write (Simulator::Now (), p);
         return;
@@ -275,9 +276,8 @@
     case PcapHelper::DLT_IEEE802_11_RADIO:
       {
         Ptr<Packet> p = packet->Copy ();
-        RadiotapHeader header = GetRadiotapHeader (p, channelFreqMhz, txVector, aMpdu);
-        header.SetAntennaSignalPower (signalNoise.signal);
-        header.SetAntennaNoisePower (signalNoise.noise);
+        RadiotapHeader header;
+        GetRadiotapHeader (header, p, channelFreqMhz, txVector, aMpdu, signalNoise);
         p->AddHeader (header);
         file->Write (Simulator::Now (), p);
         return;
@@ -287,14 +287,28 @@
     }
 }
 
-RadiotapHeader
+void
+WifiPhyHelper::GetRadiotapHeader (
+  RadiotapHeader       &header,
+  Ptr<Packet>          packet,
+  uint16_t             channelFreqMhz,
+  WifiTxVector         txVector,
+  MpduInfo             aMpdu,
+  SignalNoiseDbm       signalNoise)
+{
+  header.SetAntennaSignalPower (signalNoise.signal);
+  header.SetAntennaNoisePower (signalNoise.noise);
+  GetRadiotapHeader (header, packet, channelFreqMhz, txVector, aMpdu);
+}
+
+void
 WifiPhyHelper::GetRadiotapHeader (
+  RadiotapHeader       &header,
   Ptr<Packet>          packet,
   uint16_t             channelFreqMhz,
   WifiTxVector         txVector,
   MpduInfo             aMpdu)
 {
-  RadiotapHeader header;
   WifiPreamble preamble = txVector.GetPreambleType ();
 
   uint8_t frameFlags = RadiotapHeader::FRAME_FLAG_NONE;
@@ -506,8 +520,6 @@
 
       header.SetHeFields (data1, data2, data3, data5);
     }
-
-  return header;
 }
 
 void
@@ -652,7 +664,7 @@
 }
 
 WifiHelper::WifiHelper ()
-  : m_standard (WIFI_PHY_STANDARD_80211a),
+  : m_standard (WIFI_STANDARD_80211a),
     m_selectQueueCallback (&SelectQueueByDSField)
 {
   SetRemoteStationManager ("ns3::ArfWifiManager");
@@ -732,11 +744,45 @@
 }
 
 void
-WifiHelper::SetStandard (WifiPhyStandard standard)
+WifiHelper::SetStandard (WifiStandard standard)
 {
   m_standard = standard;
 }
 
+// NS_DEPRECATED_3_32
+void
+WifiHelper::SetStandard (WifiPhyStandard standard)
+{
+  switch (standard)
+    {
+    case WIFI_PHY_STANDARD_80211a:
+      m_standard = WIFI_STANDARD_80211a;
+      return;
+    case WIFI_PHY_STANDARD_80211b:
+      m_standard = WIFI_STANDARD_80211b;
+      return;
+    case WIFI_PHY_STANDARD_80211g:
+      m_standard = WIFI_STANDARD_80211g;
+      return;
+    case WIFI_PHY_STANDARD_holland:
+      m_standard = WIFI_STANDARD_holland;
+      return;
+    // remove the next value from WifiPhyStandard when deprecation ends
+    case WIFI_PHY_STANDARD_80211n_2_4GHZ:
+      m_standard = WIFI_STANDARD_80211n_2_4GHZ;
+      return;
+    // remove the next value from WifiPhyStandard when deprecation ends
+    case WIFI_PHY_STANDARD_80211n_5GHZ:
+      m_standard = WIFI_STANDARD_80211n_5GHZ;
+      return;
+    case WIFI_PHY_STANDARD_80211ac:
+      m_standard = WIFI_STANDARD_80211ac;
+      return;
+    default:
+      NS_FATAL_ERROR ("Unsupported value of WifiPhyStandard");
+    }
+}
+
 void
 WifiHelper::SetSelectQueueCallback (SelectQueueCallback f)
 {
@@ -754,17 +800,23 @@
     {
       Ptr<Node> node = *i;
       Ptr<WifiNetDevice> device = CreateObject<WifiNetDevice> ();
-      if (m_standard >= WIFI_PHY_STANDARD_80211n_2_4GHZ)
+      auto it = wifiStandards.find (m_standard);
+      if (it == wifiStandards.end ())
+        {
+          NS_FATAL_ERROR ("Selected standard is not defined!");
+          return devices;
+        }
+      if (it->second.phyStandard >= WIFI_PHY_STANDARD_80211n)
         {
           Ptr<HtConfiguration> htConfiguration = CreateObject<HtConfiguration> ();
           device->SetHtConfiguration (htConfiguration);
         }
-      if ((m_standard == WIFI_PHY_STANDARD_80211ac) || (m_standard == WIFI_PHY_STANDARD_80211ax_5GHZ))
+      if ((it->second.phyStandard >= WIFI_PHY_STANDARD_80211ac) && (it->second.phyBand != WIFI_PHY_BAND_2_4GHZ))
         {
           Ptr<VhtConfiguration> vhtConfiguration = CreateObject<VhtConfiguration> ();
           device->SetVhtConfiguration (vhtConfiguration);
         }
-      if (m_standard >= WIFI_PHY_STANDARD_80211ax_2_4GHZ)
+      if (it->second.phyStandard >= WIFI_PHY_STANDARD_80211ax)
         {
           Ptr<HeConfiguration> heConfiguration = CreateObject<HeConfiguration> ();
           device->SetHeConfiguration (heConfiguration);
@@ -774,12 +826,12 @@
       Ptr<WifiPhy> phy = phyHelper.Create (node, device);
       mac->SetAddress (Mac48Address::Allocate ());
       mac->ConfigureStandard (m_standard);
-      phy->ConfigureStandard (m_standard);
+      phy->ConfigureStandardAndBand (it->second.phyStandard, it->second.phyBand);
       device->SetMac (mac);
       device->SetPhy (phy);
       device->SetRemoteStationManager (manager);
       node->AddDevice (device);
-      if ((m_standard >= WIFI_PHY_STANDARD_80211ax_2_4GHZ) && (m_obssPdAlgorithm.IsTypeIdSet ()))
+      if ((it->second.phyStandard >= WIFI_PHY_STANDARD_80211ax) && (m_obssPdAlgorithm.IsTypeIdSet ()))
         {
           Ptr<ObssPdAlgorithm> obssPdAlgorithm = m_obssPdAlgorithm.Create<ObssPdAlgorithm> ();
           device->AggregateObject (obssPdAlgorithm);
diff -Naur -x '*.dia' -x '*.pcap' ns-3.31/src/wifi/helper/wifi-helper.h ns-3.32/src/wifi/helper/wifi-helper.h
--- ns-3.31/src/wifi/helper/wifi-helper.h	2020-06-27 17:38:30.000000000 -0700
+++ ns-3.32/src/wifi/helper/wifi-helper.h	2020-10-06 15:35:43.000000000 -0700
@@ -26,6 +26,7 @@
 #include "ns3/trace-helper.h"
 #include "ns3/wifi-phy.h"
 #include "ns3/qos-utils.h"
+#include "ns3/deprecated.h"
 #include "wifi-mac-helper.h"
 #include <functional>
 
@@ -240,19 +241,36 @@
 
 private:
   /**
-   * Get the Radiotap header.
+   * Get the Radiotap header for a transmitted packet.
    *
+   * \param header the radiotap header to be filled in
    * \param packet the packet
    * \param channelFreqMhz the channel frequency
    * \param txVector the TXVECTOR
    * \param aMpdu the A-MPDU information
+   */
+  static void GetRadiotapHeader (RadiotapHeader &header,
+                                 Ptr<Packet> packet,
+                                 uint16_t channelFreqMhz,
+                                 WifiTxVector txVector,
+                                 MpduInfo aMpdu);
+
+  /**
+   * Get the Radiotap header for a received packet.
    *
-   * \returns the Radiotap header
+   * \param header the radiotap header to be filled in
+   * \param packet the packet
+   * \param channelFreqMhz the channel frequency
+   * \param txVector the TXVECTOR
+   * \param aMpdu the A-MPDU information
+   * \param signalNoise the rx signal and noise information
    */
-  static RadiotapHeader GetRadiotapHeader (Ptr<Packet> packet,
-                                           uint16_t channelFreqMhz,
-                                           WifiTxVector txVector,
-                                           MpduInfo aMpdu);
+  static void GetRadiotapHeader (RadiotapHeader &header,
+                                 Ptr<Packet> packet,
+                                 uint16_t channelFreqMhz,
+                                 WifiTxVector txVector,
+                                 MpduInfo aMpdu,
+                                 SignalNoiseDbm signalNoise);
 
   /**
    * \brief Enable pcap output the indicated net device.
@@ -456,7 +474,7 @@
   virtual NetDeviceContainer Install (const WifiPhyHelper &phy,
                                       const WifiMacHelper &mac, std::string nodeName) const;
   /**
-   * \param standard the PHY standard to configure during installation
+   * \param standard the standard to configure during installation
    *
    * This method sets standards-compliant defaults for WifiMac
    * parameters such as SIFS time, slot time, timeout values, etc.,
@@ -479,6 +497,33 @@
    * \sa WifiMac::ConfigureStandard
    * \sa Config::Set
    */
+  virtual void SetStandard (WifiStandard standard);
+
+  /**
+   * \param standard the PHY standard to configure during installation
+   *
+   * This method sets standards-compliant defaults for WifiMac
+   * parameters such as SIFS time, slot time, timeout values, etc.,
+   * based on the standard selected.  It results in
+   * WifiMac::ConfigureStandard(standard) being called on each
+   * installed MAC object.
+   *
+   * The default standard of 802.11a will be applied if SetStandard()
+   * is not called.
+   *
+   * Note that WifiMac::ConfigureStandard () will overwrite certain
+   * defaults in the attribute system, so if a user wants to manipulate
+   * any default values affected by ConfigureStandard() while using this
+   * helper, the user should use a post-install configuration such as
+   * Config::Set() on any objects that this helper creates, such as:
+   * \code
+   * Config::Set ("/NodeList/0/DeviceList/0/$ns3::WifiNetDevice/Mac/Slot", TimeValue (MicroSeconds (slot)));
+   * \endcode
+   * \deprecated This method will go away in future release of ns-3.
+   *
+   * \sa Config::Set
+   */
+  NS_DEPRECATED_3_32
   virtual void SetStandard (WifiPhyStandard standard);
 
   /**
@@ -506,7 +551,7 @@
 protected:
   ObjectFactory m_stationManager;            ///< station manager
   ObjectFactory m_ackPolicySelector[4];      ///< ack policy selector for all ACs
-  WifiPhyStandard m_standard;                ///< wifi standard
+  WifiStandard m_standard;                   ///< wifi standard
   SelectQueueCallback m_selectQueueCallback; ///< select queue callback
   ObjectFactory m_obssPdAlgorithm;           ///< OBSS_PD algorithm
 };
